Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.rms
Class ResourceDataTracker.TransferCostData

    java.lang.Object
      lbg.peer.core.rms.ResourceDataTracker.TransferCostData

All Implemented Interfaces:
  java.lang.Comparable<ResourceDataTracker.TransferCostData>

Enclosing class:
  ResourceDataTracker

    public static class ResourceDataTracker.TransferCostData

extends java.lang.Object
implements java.lang.Comparable<ResourceDataTracker.TransferCostData>

Helper class of Data Tracker. Stores data about a Resource and the associated transfer cost to that Resource of an implicit target Task.

Constructor Summary
`ResourceDataTracker.TransferCostData(ResourceHandle rh, long distance)` Constructs a new TransferCostData.

Method Summary
`int` | `compareTo(ResourceDataTracker.TransferCostData tch)` Sort by increasing size.
`long` | `distance()`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`ResourceHandle` | `resource()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceDataTracker.TransferCostData

    public ResourceDataTracker.TransferCostData(ResourceHandle rh,
                                                long distance)
                                         throws GridException

  Constructs a new TransferCostData.

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(ResourceDataTracker.TransferCostData tch)

  Sort by increasing size.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<ResourceDataTracker.TransferCostData>`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### resource

    public ResourceHandle resource()

### distance

    public long distance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.